de.esprit.netsuite

## Class NetSuiteVersion

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.common.util.Version
      - - de.esprit.netsuite.NetSuiteVersion

- All Implemented Interfaces:
    DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable

      public class NetSuiteVersion
      extends Version

  Version of the EspritNetSuite product.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class de.esprit.common.util.Version

      `authorEmail, authorName, authorWebSite, softwareOwner`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetSuiteVersion()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)` This makes the version string available to the build process

    - ### Methods inherited from class de.esprit.common.util.Version

      `checkJavaRuntimeVersion, equals, getAuthorEmail, getAuthorName, getAuthorWebSite, getBuildDate, getBuildInfo, getBuildNumber, getCopyrightString, getMajorVersion, getMinorVersion, getProductName, getRequiredJavaVersion, getSoftwareOwner, getTitleString, getVersionString, getVersionSuffix, hashCode, hasVersionSuffix, initCustomValues, setAutoPrintCopyRight, toDumpString, toString`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NetSuiteVersion

          public NetSuiteVersion()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      This makes the version string available to the build process

Copyright © 2014 EsprIT-Systems. All Rights Reserved.